perl-Data-Validate-Type-1.6.0-alt1_10.noarch.rpm


Advertisement

Description

perl-Data-Validate-Type - Public interface to Params::Util offering data type validation functions

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports noarch
Package filename perl-Data-Validate-Type-1.6.0-alt1_10.noarch.rpm
Package name perl-Data-Validate-Type
Package version 1.6.0
Package release alt1_10
Package architecture noarch
Package type rpm
Category Development/Other
Homepage -
License -
Maintainer -
Download size 23.42 KB
Installed size 23.42 KB
This module presents an alternative API to Params::Util which fixes a number
of drawbacks (function names start with an underscore, are uppercase and don't
pass PerlCritic validation).

Alternatives

Package Version Architecture Repository
perl-Data-Validate-Type - - -

Requires

Name Value
/usr/share/perl5 -
perl(Data/Dump.pm) -
perl(Scalar/Util.pm) -
perl(base.pm) -
rpmlib(PayloadIsLzma) -

Provides

Name Value
perl(Data/Validate/Type.pm) = 1.006
perl-Data-Validate-Type = 1.6.0-alt1_10

Download

Type URL
Mirror ftp.altlinux.org
Binary Package perl-Data-Validate-Type-1.6.0-alt1_10.noarch.rpm
Source Package perl-Data-Validate-Type-1.6.0-alt1_10.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install perl-Data-Validate-Type rpm package:
    # sudo apt-get install perl-Data-Validate-Type

Files

Path
/usr/share/doc/perl-Data-Validate-Type-1.6.0/Changes
/usr/share/doc/perl-Data-Validate-Type-1.6.0/README.md
/usr/share/perl5/Data/
/usr/share/perl5/Data/Validate/Type.pm

See Also

Package Description
perl-Data-Validate-UUID-0.1.1-alt1.noarch.rpm Data Validator to check for well formed UUIDs
perl-Data-Validate-VIN-0.04-alt1.noarch.rpm Perl extension for basic validation of
perl-Data-Validate-WithYAML-0.18-alt1.noarch.rpm Validation framework that can be configured with YAML files
perl-Data-Validate-WithYAML-Plugin-Country-0.03-alt1.noarch.rpm check whether a given value is a valid country code
perl-Data-Validate-WithYAML-Plugin-EMail-0.04-alt1.noarch.rpm Plugin for Data::Validate::WithYAML to check email addresses
perl-Data-Validate-WithYAML-Plugin-IBAN-0.04-alt1.noarch.rpm check whether a given value is a valid IBAN
perl-Data-Validate-WithYAML-Plugin-NoSpam-0.04-alt1.noarch.rpm Plugin to check that a given text is no spam
perl-Data-Validate-WithYAML-Plugin-PasswordPolicy-0.03-alt1.noarch.rpm Plugin to check passwords against a policy
perl-Data-Validate-WithYAML-Plugin-Phone-0.06-alt1.noarch.rpm Plugin to check Phone numbers (basic check)
perl-Data-Validate-WithYAML-Plugin-URL-0.02-alt1.noarch.rpm Plugin to check URL
perl-Data-Validate-XSD-1.05-alt1.noarch.rpm perl module Data-Validate-XSD
perl-Data-ValidateInterdependent-0.000001-alt1.noarch.rpm safely validate interdependent parameters
perl-Data-Validation-0.28.1-alt1.noarch.rpm Filter and validate data values
perl-Data-Validator-Item-0.75-alt1.noarch.rpm perl module Data-Validator-Item
perl-Data-Validator-MultiManager-0.01-alt1.noarch.rpm to manage a multiple validation for Data::Validator
Advertisement
Advertisement